<ui:composition xmlns:rich="http://richfaces.org/rich" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:g="http://www.ihe.net/gazelle" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml">
    <s:div rendered="#{managedBean.isAvailableTestData()}" id="testDataDiv">
        <div class="form-horizontal">
            <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                <ui:param name="id" value="tdSelect"/>
                <ui:define name="label">#{messages['net.ihe.gazelle.patientmanager.PredefinedQuery']}</ui:define>
                <h:selectOneMenu value="#{managedBean.selectedTestData}" styleClass="form-control"
                                 id="tdSelect" valueChangeListener="#{managedBean.testDataChangeListener}">
                    <s:selectItems value="#{managedBean.getAvailableTestData()}" var="td" label="#{td.name}"
                                   noSelectionLabel="#{messages['net.ihe.gazelle.pam.PleaseSelect']}"/>
                    <a4j:ajax event="change" render="#{idsToRender}"/>
                </h:selectOneMenu>
                <h:outputText value="#{managedBean.selectedTestData.description}" styleClass="help-block gzl-text-blue"
                              rendered="#{managedBean.selectedTestData != null}"/>
            </s:decorate>
        </div>
    </s:div>
</ui:composition>